## $Id: subdirs.am,v 1.2 2001-09-27 11:59:11 chris Exp $

## Borrowed from automake-1.4 and adapted to RTEMS 

## NOTE: This is a temporary work-around to keep 
## RTEMS's non automake standard make targets working.
## Once automake is fully integrated these make targets 
## and this file will probably be removed

depend-recursive \
preinstall-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
## This trick allows "-k" to keep its natural meaning when running a
## recursive rule.
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

preinstall: preinstall-recursive
.PHONY: preinstall-recursive

depend: depend-recursive
.PHONY: depend-recursive
